function [C,P1]=detekce(VstupObr,Operator,Prah,Sum,Velikost,typSumu)

I = imread(VstupObr);               % nacteni obrazku
P1=rgb2gray(I);                     %prevod na sedoton
P1=imnoise(P1,typSumu,Sum);
P1=medfilt2(P1);                    %vyhlazení mediánem
[I,prahh]=edge(P1,Operator,Prah);   %detekce hran 
imshow(I);
I=imfill(I,'holes');                %vyplnění der(oblastí se spojenymi hranymi) 
C=imshow(~I);
[B,L]=bwlabel(I,8);                 %získání poctu a rozčlenení obektů
S=regionprops(B,'all');             %statistyky jednotlivých oblastí
r=0;
for k=1:1:L                         %projizdeni velikosti obsahů objektu
    if S(k).Area >= Velikost        %nastavena velikost     
        r=r+1;
        Data(r,1)=S(k).Area;        %naplní Data obsahem(Area) objektu 
        Data(r,2)=k;                %naplni data indexem objektu zajmu
    end
end
for k=1:1:r                         %projizdeni Data vybraných objektů  
    i=Data(k,2)
    StatDataObj(k,1)=(2^2*S(i).Area*pi)/S(i).Perimeter^2; %kruhovitost
    StatDataObj(k,2)=(S(i).Perimeter^2)/(S(i).Area);      %Nekompaktnost
    StatDataObj(k,3)=Data(k,2);
    StatDataObj(k,4)=S(i).Centroid(1,1);     %souradnice stredu
    StatDataObj(k,5)=S(i).Centroid(1,2);     %souradnice stredu
end

Strom=Uceni;

for q=1:r                  %cyklus pro testovani dat
X2=StatDataObj(q,1:2);     %data pro klasifikaci
YFIT = TREEVAL(Strom,X2);  %klasifikace
q
hold on
if(YFIT==1)
 YFIT='ctverec'      %ctverec
text(StatDataObj(q,4),StatDataObj(q,5),'*','Color','red','FontSize',12,'FontWeight','bold');
text(StatDataObj(q,4)-30,StatDataObj(q,5)+10,'Ctverec','Color','red','FontSize',10,'FontWeight','bold');

elseif (YFIT==2)
 YFIT='trojuhelnik'  %trojuhelnik
text(StatDataObj(q,4),StatDataObj(q,5),'*','Color','red','FontSize',10,'FontWeight','bold');
text(StatDataObj(q,4)-30,StatDataObj(q,5)+10,'Trojuhelnik','Color','red','FontSize',10,'FontWeight','bold');

elseif (YFIT==3)
 YFIT='kruh'         %kruh
 text(StatDataObj(q,4),StatDataObj(q,5),'*','Color','red','FontSize',10,'FontWeight','bold');
text(StatDataObj(q,4)-10,StatDataObj(q,5)+10,'Kruh','Color','red','FontSize',10,'FontWeight','bold');
end
end







 

